Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7472 - /etc/pcmcia/network
Summary: /etc/pcmcia/network
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 10:37 UTC by gerald
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-06 05:58:49 UTC


Attachments (Terms of Use)

Description gerald 1999-12-01 10:37:07 UTC
I recommend changing the 'start' part of /etc/pcmcia/network according to:

'start')
        if [ -f /var/lock/subsys/network ]
        then
                 /etc/sysconfig/network-scripts/ifup ifcfg-${device} boot
        fi

;;


This will only start a network card if it should be started at boot
(ONBOOT=yes) time and if networking is alreday up.

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 David Hinds 2000-01-10 20:48:59 UTC
I think this would be a bad fix unless you actually want to redefine the meaning
of "ONBOOT" to mean "autoconfigure this device at any time, boot or otherwise".
The suggested fix also prevents a hot-inserted card from being configured, which
may be a useful thing, but is not what "ONBOOT" would imply.

Comment 3 jaffe 2000-02-06 19:40:59 UTC
Well, I think "WONTFIX" is a bit of a copout.

One possibility would be to add a flag like ONBOOT, say "ONINSERTION" with the
obvious behavior.


Note You need to log in before you can comment on or make changes to this bug.